# Serialized Form

## Package org.springframework.session.data.gemfire

### Class org.springframework.session.data.gemfire.AbstractGemFireOperationsSessionRepository.GemFireSession extends java.lang.Object implements Serializable

### Serialization Methods

#### readObject

    <T> T readObject(java.io.DataInput in)
              throws java.lang.ClassNotFoundException,
                     java.io.IOException

Throws:
  `java.lang.ClassNotFoundException`
  `java.io.IOException`

#### writeObject

    void writeObject(java.lang.Object obj,
                     java.io.DataOutput out)
              throws java.io.IOException

Throws:
  `java.io.IOException`

### Serialized Fields

#### maxInactiveIntervalInSeconds

    int maxInactiveIntervalInSeconds

#### creationTime

    long creationTime

#### lastAccessedTime

    long lastAccessedTime

#### id

    java.lang.String id

### Class org.springframework.session.data.gemfire.AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes extends java.util.AbstractMap<java.lang.String,java.lang.Object> implements Serializable

### Serialization Methods

#### readObject

    <T> T readObject(java.io.DataInput in)
              throws java.lang.ClassNotFoundException,
                     java.io.IOException

Throws:
  `java.lang.ClassNotFoundException`
  `java.io.IOException`

#### writeObject

    void writeObject(java.lang.Object obj,
                     java.io.DataOutput out)
              throws java.io.IOException

Throws:
  `java.io.IOException`